Loading...
Searching...
No Matches
BALL::CharmmEEF1 Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/charmmEEF1.h>`

Inheritance diagram for BALL::CharmmEEF1:

## Classes

struct | Values
struct | Data

## Public Member Functions

Constructors and Destructor
| CharmmEEF1 ()
| CharmmEEF1 (const CharmmEEF1 &charmm_EEF1)
virtual | ~CharmmEEF1 ()
virtual void | clear ()
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
virtual bool | extractSection (Parameters &parameters, const String &section_name)
bool | hasParameters (Atom::Type I) const
CharmmEEF1::Values | getParameters (Atom::Type I) const
bool | assignParameters (CharmmEEF1::Values &parameters, Atom::Type I) const
Assignment
const CharmmEEF1 & | operator= (const CharmmEEF1 &charmm_EEF1)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

Size | number_of_atom_types_
float * | V_
float * | dG_ref_
float * | dG_free_
float * | dH_ref_
float * | Cp_ref_
float * | sig_w_
float * | R_min_
bool * | is_defined_
bool | operator== (const CharmmEEF1 &charmm_EEF1) const

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Force Field Parameter Section for CHARMM EEF1. This class reads and administers a parameter set of solvation parameters for the CHARMM/EEF1 force field (Lazaridis, Karplus, ???).

  armmEEF1.h

Definition at line 28 of file charmmEEF1.h.

## Constructor & Destructor Documentation

## CharmmEEF1() [1/2]

BALL::CharmmEEF1::CharmmEEF1 | ( |  | ) |

Default constructor.

## CharmmEEF1() [2/2]

BALL::CharmmEEF1::CharmmEEF1 | ( | const CharmmEEF1 & | charmm_EEF1 | ) |

Copy constructor

## ~CharmmEEF1()

virtual BALL::CharmmEEF1::~CharmmEEF1 | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::CharmmEEF1::assignParameters | ( | CharmmEEF1::Values & | parameters,
|  | Atom::Type | I ) const

Assign the parameters for a given atom type combination. If no parameters are defined for this combination, false is returned and nothing is changed.

## clear()

virtual void BALL::CharmmEEF1::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSection() [1/2]

virtual bool BALL::CharmmEEF1::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## extractSection() [2/2]

virtual bool BALL::CharmmEEF1::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

?????

## getParameters()

CharmmEEF1::Values BALL::CharmmEEF1::getParameters | ( | Atom::Type | I | ) | const

Returns the parameters for a given atom type combination.

## hasParameters()

bool BALL::CharmmEEF1::hasParameters | ( | Atom::Type | I | ) | const

Queries whether a parameter set is defined for the given atom type.

## operator=()

const CharmmEEF1 & BALL::CharmmEEF1::operator= | ( | const CharmmEEF1 & | charmm_EEF1 | ) |

Assignment operator

## operator==()

bool BALL::CharmmEEF1::operator== | ( | const CharmmEEF1 & | charmm_EEF1 | ) | const

Equality operator

## Member Data Documentation

## Cp_ref_

float* BALL::CharmmEEF1::Cp_ref_

protected

Definition at line 152 of file charmmEEF1.h.

## dG_free_

float* BALL::CharmmEEF1::dG_free_

protected

Definition at line 146 of file charmmEEF1.h.

## dG_ref_

float* BALL::CharmmEEF1::dG_ref_

protected

Definition at line 143 of file charmmEEF1.h.

## dH_ref_

float* BALL::CharmmEEF1::dH_ref_

protected

Definition at line 149 of file charmmEEF1.h.

## is_defined_

bool* BALL::CharmmEEF1::is_defined_

protected

Definition at line 161 of file charmmEEF1.h.

## number_of_atom_types_

Size BALL::CharmmEEF1::number_of_atom_types_

protected

Definition at line 137 of file charmmEEF1.h.

## R_min_

float* BALL::CharmmEEF1::R_min_

protected

Definition at line 158 of file charmmEEF1.h.

## sig_w_

float* BALL::CharmmEEF1::sig_w_

protected

Definition at line 155 of file charmmEEF1.h.

## V_

float* BALL::CharmmEEF1::V_

protected

Definition at line 140 of file charmmEEF1.h.